Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.sci
Interface SciTagList

public interface SciTagList
extends SciContainer

Provides a set of methods for working with `SciTag`s.

An element can have one or more tags with the same name (for example, @see tags).

Method `tags(String name)` returns an enumeration of `SciTag`s with the same name, while `getTag(String name)` returns only one `SciTag` even if there are several `SciTags` with this name.

Method `setTagValue` is used to create a new `SciTag` for an element.

Author:
  TogetherSoft

Method Summary
`boolean` | `canSetTagValue(String value)` Checks whether the specified value is valid for `SciTag`.
`SciTag` | `getTag(String name)` Returns `SciTag` with the specified name.
`String` | `getTagValue(String name)` Returns a string value of `SciTag` with the specified name.
`String` | `getText()` Returns a string containing the texts of all tags and their values.
`void` | `setTagValue(String name, String value)` This method adds a new `SciTag` to the element this `SciTagList` belongs to.
`SciTagEnumeration` | `tags()` Returns an enumeration of all `SciTag`s this element has.
`SciTagEnumeration` | `tags(String name)` Returns an enumeration of all `SciTag`s with the specified name this element has.

Methods inherited from interface com.togethersoft.openapi.sci.SciContainer
`canPaste, objects, paste`

Method Detail

### canSetTagValue

    public boolean canSetTagValue(String value)

  Checks whether the specified value is valid for `SciTag`. Returns `true` if it is a valid value, `false` otherwise. This check applies to all types of tags.
  Parameters:
    value - the string value for `SciTag`
  Returns: `true` if the specified value is valid for `SciTag`, `false` otherwise.

### getTag

    public SciTag getTag(String name)

  Returns `SciTag` with the specified name. If there is more than one `SciTag` with such name, returns first `SciTag`. If there is no `SciTag` with such name, returns `null`.
  Parameters:
    name - the string with the name of `SciTag`
  Returns: `SciTag` with the specified name
  See Also:
    tags(java.lang.String)

### getTagValue

    public String getTagValue(String name)

  Returns a string value of `SciTag` with the specified name. If there if more than one `SciTag` with such name, returns a valuse of the first `SciTag`. If there is no `SciTag` with such name, returns `null`.
  Parameters:
    name - the string with the name of `SciTag`
  Returns: a string value of `SciTag` with the specified name

### getText

    public String getText()

  Returns a string containing the texts of all tags and their values.
  Returns: a string containing the texts of all tags and their values

### setTagValue

    public void setTagValue(String name, String value)

  This method adds a new `SciTag` to the element this `SciTagList` belongs to. If this element has `SciTag` with the same name already, this method replaces it. To create more than one `SciTag` with the same name use `paste` method for previously created `SciTag` by the `SciFactory.newTag` method.
  Parameters:
    name - the string with the name of `SciTag`
    value - the string value for this `SciTag`
  See Also:
    SciContainer.paste(com.togethersoft.openapi.sci.SciObject,com.togethersoft.openapi.sci.SciObject,boolean), SciFactory.newTag()

### tags

    public SciTagEnumeration tags()

  Returns an enumeration of all `SciTag`s this element has.
  Returns: an enumeration of all `SciTag`s this element has

### tags

    public SciTagEnumeration tags(String name)

  Returns an enumeration of all `SciTag`s with the specified name this element has.
  Parameters:
    name - the string with the name of `SciTag`
  Returns: an enumeration of all `SciTag`s with the specified name this element has

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD